This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1263739 - Review Request: perl-B-Hooks-Parser -Interface to perl's parser variables
Review Request: perl-B-Hooks-Parser -Interface to perl's parser variables
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-16 10:46 EDT by Bill Pemberton
Modified: 2015-10-07 16:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-01 12:05:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psabata: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Bill Pemberton 2015-09-16 10:46:47 EDT
Spec URL: https://wfp.fedorapeople.org/perl-B-Hooks-Parser.spec
SRPM URL: https://wfp.fedorapeople.org/perl-B-Hooks-Parser-0.16-1.fc22.src.rpm
Description: 
This module provides an API for parts of the perl parser. It can be used to modify code while it's being parsed.

Fedora Account System Username: wfp
Comment 1 Petr Šabata 2015-09-16 11:41:18 EDT
Looks quite good but I still have some comments :)

* Missing build time deps:
  - perl(DynaLoader), lib/B/Hooks/Parser.pm:7
  - petr(strict), Makefile.PL:5
  - perl(warnings), Makefile.PL:6

* Add a version constraint to the perl(ExtUtils::Depends) dependency.
  Version 0.302 is required -- Makefile.PL:11

* You may safely substitute PERL_INSTALL_ROOT with DESTDIR nowadays.

* Don't explicitly (run) require perl(parent), it gets autodected.

* I think you should own the %{perl_vendorarch}/auto/B and %{perl_vendorarch}/B directories.
Comment 2 Bill Pemberton 2015-09-16 12:06:39 EDT
On the directories, is it correct for me to just to add %{perl_vendorarch}/auto/B
 and %{perl_vendorarch}/B to the spec file?

Assuming so, updated to address the comments:

Spec URL: https://wfp.fedorapeople.org/perl-B-Hooks-Parser.spec
SRPM URL: https://wfp.fedorapeople.org/perl-B-Hooks-Parser-0.16-2.fc22.src.rpm
Comment 3 Petr Šabata 2015-09-16 13:16:32 EDT
Yes, this is fine.

Looks good.  Approving.
Comment 4 Bill Pemberton 2015-09-16 14:02:32 EDT
New Package SCM Request
=======================
Package Name: perl-B-Hooks-Parser
Short Description: nterface to perl's parser variables
Upstream URL: http://search.cpan.org/dist/B-Hooks-Parser/
Owners: wfp
Branches: f23 epel7
Comment 5 Petr Šabata 2015-09-17 03:11:47 EDT
Please, add perl-sig as a watcher (InitialCC).
Comment 6 Gwyn Ciesla 2015-09-17 08:57:30 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2015-09-17 09:44:32 EDT
perl-B-Hooks-Parser-0.16-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16094
Comment 8 Fedora Update System 2015-09-17 09:53:22 EDT
perl-B-Hooks-Parser-0.16-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8122
Comment 9 Fedora Update System 2015-09-17 17:29:40 EDT
perl-B-Hooks-Parser-0.16-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update perl-B-Hooks-Parser'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16094
Comment 10 Fedora Update System 2015-09-18 23:21:32 EDT
perl-B-Hooks-Parser-0.16-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update perl-B-Hooks-Parser'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8122
Comment 11 Fedora Update System 2015-10-01 12:05:47 EDT
perl-B-Hooks-Parser-0.16-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2015-10-07 16:11:00 EDT
perl-B-Hooks-Parser-0.16-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.